## gdb-mingw-w64 2

=== debian/changelog ===
gdb-mingw-w64 (2) unstable; urgency=low

  * Make the build target only depend on build-arch, so that the build
    target no longer requires Build-Depends-Indep dependencies; the binary
    target still does the right thing so the "Architecture: all" package
    can be built.

 -- Stephen Kitt <steve@sk2.org>  Thu, 29 Sep 2011 00:07:05 +0200

gdb-mingw-w64 (1) unstable; urgency=low

  * Split off "Architecture: all" package.
  * Switch to single-number versions and add the gdb-mingw-w64 version to
    the resulting binary package's version.
  * Refresh gdb-spelling-fixes.patch (Closes: #643556); build-depend on
    gdb-source 7.3 or later as a result.

 -- Stephen Kitt <steve@sk2.org>  Tue, 27 Sep 2011 23:36:02 +0200

gdb-mingw-w64 (0.1) unstable; urgency=low

  * Initial release (Closes: #570255, #626588).

 -- Stephen Kitt <steve@sk2.org>  Thu, 12 May 2011 20:48:48 +0200
