=== debian/control ===
Source: gdb-mingw-w64
Section: devel
Priority: extra
Maintainer: Stephen Kitt <steve@sk2.org>
Build-Depends: debhelper (>= 7.0.50~), gdb-source (>= 7.3), texinfo,
 libreadline-dev, libncurses5-dev, libexpat1-dev, python-dev,
 libcloog-ppl-dev, bison, m4, flex, expect, autoconf, automake,
 mig [hurd-any],
 libunwind7-dev [ia64],
 libkvm-dev [kfreebsd-any]
Build-Depends-Indep: mingw-w64
Standards-Version: 3.9.2
Homepage: http://www.gnu.org/software/gdb/
Vcs-Git: git://git.debian.org/collab-maint/gdb-mingw-w64.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gdb-mingw-w64.git;a=summary

Package: gdb-mingw-w64
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gdb (>= ${local:Version})
Recommends: gdb-mingw-w64-target
Built-Using: gdb (= ${gdb:Version})
Description: Cross-debugger for Win32 and Win64 using MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit Windows applications using the GNU Compiler Collection (gcc).
 .
 This package contains the gdb debugger which can be used with a
 Windows-hosted gdbserver to debug programs running on Windows hosts.
 .
 The gdb-mingw-w64-target package contains gdbserver and gdbreplay for
 32- and 64-bit Windows.

Package: gdb-mingw-w64-target
Architecture: all
Depends: ${misc:Depends}
Replaces: gdb-mingw-w64 (<< 7.3)
Breaks: gdb-mingw-w64 (<< 7.3)
Built-Using: gdb (= ${gdb:Version})
Description: Cross-debugger server for Win32 and Win64 using MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit Windows applications using the GNU Compiler Collection (gcc).
 .
 This package contains gdbserver and gdbreplay for 32- and 64-bit
 Windows.
