=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Copyright © 2010-2011 Stephen Kitt <steve@sk2.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

top_dir := $(shell pwd)
gdb_dir := /usr/src
upstream_gdb_dir := $(top_dir)/upstream
upstream_gdbserver_dir := $(upstream_gdb_dir)/gdb/gdbserver
build_gdb_dir := $(top_dir)/build-gdb
build_gdbserver_dir := $(top_dir)/build-gdbserver
source_version := $(shell dpkg-query -W -f="\$${Version}\n" gdb-source)
deb_version := $(source_version)+$(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
gnu_upstream_version := $(shell echo $(deb_upstream_version) | cut -d. -f1-3)
package := gdb-mingw-w64

targets := i686-w64-mingw32 x86_64-w64-mingw32

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall

unpack: unpack-stamp
unpack-stamp:
	tar xf $(gdb_dir)/gdb.tar.*
	rm -rf $(upstream_gdb_dir)
	mv gdb $(upstream_gdb_dir)
	touch $@

patch: patch-stamp
patch-stamp: unpack-stamp
	patch -dupstream -p1 < debian/patches/gdb-spelling-fixes.patch
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf *-stamp $(build_gdb_dir) $(build_gdbserver_dir) $(upstream_gdb_dir)
	dh_clean

configure-arch-stamp: patch-stamp
	dh_testdir
	set -e; \
	for target in $(targets); do \
		dh_auto_configure -B$(build_gdb_dir)/$$target -D$(upstream_gdb_dir) -- \
				  --prefix=/usr --enable-lto --with-system-readline \
				  --enable-tui --with-expat --with-python \
				  --target=$$target; \
	done
	touch $@

configure-indep-stamp: patch-stamp
	dh_testdir
	set -e; \
	for target in $(targets); do \
		dh_auto_configure -B$(build_gdbserver_dir)/$$target \
				  -D$(upstream_gdbserver_dir) -- \
				  --host=$$target --target=$$target; \
	done
	touch $@

# dpkg-buildpackage -B calls build rather than build-arch,
# so have build only depend on build-arch
build: build-arch

build-arch: build-arch-stamp
build-arch-stamp: configure-arch-stamp
	dh_testdir
	set -e; \
	for target in $(targets); do \
		dh_auto_build --parallel -B$(build_gdb_dir)/$$target; \
	done
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-indep-stamp
	dh_testdir
	set -e; \
	for target in $(targets); do \
		dh_auto_build --parallel -B$(build_gdbserver_dir)/$$target; \
	done
	touch $@

install: install-stamp
install-stamp: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep
	set -e; \
	for target in $(targets); do \
		dh_auto_install -B$(build_gdb_dir)/$$target; \
	done

	# Drop files which will conflict with other packages
	rm -rf debian/$(package)/usr/lib
	rm -rf debian/$(package)/usr/share/gdb
	rm -rf debian/$(package)/usr/share/info
	rm -rf debian/$(package)/usr/share/locale

	touch $@

binary-indep: build-indep
	dh_testdir -pgdb-mingw-w64-target
	dh_testroot -pgdb-mingw-w64-target
	dh_install -pgdb-mingw-w64-target
	dh_installdocs -pgdb-mingw-w64-target
	dh_installchangelogs -pgdb-mingw-w64-target $(upstream_gdb_dir)/ChangeLog
	dh_link -pgdb-mingw-w64-target
	dh_strip -pgdb-mingw-w64-target
	dh_lintian -pgdb-mingw-w64-target
	dh_compress -pgdb-mingw-w64-target
	dh_fixperms -pgdb-mingw-w64-target
	dh_installdeb -pgdb-mingw-w64-target
	dh_shlibdeps -pgdb-mingw-w64-target
	dh_gencontrol -pgdb-mingw-w64-target -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgdb:Version=$(source_version)
	dh_md5sums -pgdb-mingw-w64-target
	dh_builddeb -pgdb-mingw-w64-target

binary-arch: install
	dh_testdir -pgdb-mingw-w64
	dh_testroot -pgdb-mingw-w64
	dh_install -pgdb-mingw-w64
	dh_installdocs -pgdb-mingw-w64
	dh_installchangelogs -pgdb-mingw-w64 $(upstream_gdb_dir)/ChangeLog
	dh_link -pgdb-mingw-w64
	dh_strip -pgdb-mingw-w64
	dh_lintian -pgdb-mingw-w64
	dh_compress -pgdb-mingw-w64
	dh_fixperms -pgdb-mingw-w64
	dh_installdeb -pgdb-mingw-w64
	dh_shlibdeps -pgdb-mingw-w64
	dh_gencontrol -pgdb-mingw-w64 -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgdb:Version=$(source_version)
	dh_md5sums -pgdb-mingw-w64
	dh_builddeb -pgdb-mingw-w64

binary: binary-indep binary-arch

.PHONY: binary-indep binary-arch binary clean build install
