## gdb-mingw-w64 3

=== debian/changelog ===
gdb-mingw-w64 (3) unstable; urgency=low

  [ Stephen Kitt ]
  * Disable stackprotector, relro, bindnow and pie dpkg-buildflags
    hardening features for Windows-targeted builds (LP: #891102).

  [ Didier Raboud ]
  * Confidently setting the DM-Upload-Allowed flag to yes.

 -- Stephen Kitt <steve@sk2.org>  Tue, 22 Nov 2011 18:06:28 +0100
