=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,11 @@
 
 targets := i686-w64-mingw32 x86_64-w64-mingw32
 
-CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
-CFLAGS += -Wall
+# Default hardening for Debian-targeted builds
+dpkg_buildflags_arch = dpkg-buildflags
+
+# Windows targets don't support stackprotector, relro, bindnow or pie
+dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-stackprotector,-relro,-bindnow,-pie" dpkg-buildflags
 
 unpack: unpack-stamp
 unpack-stamp:
@@ -47,7 +50,8 @@
 		dh_auto_configure -B$(build_gdb_dir)/$$target -D$(upstream_gdb_dir) -- \
 				  --prefix=/usr --enable-lto --with-system-readline \
 				  --enable-tui --with-expat --with-python \
-				  --target=$$target; \
+				  --target=$$target \
+				  $(shell $(dpkg_buildflags_arch) --export=configure); \
 	done
 	touch $@
 
@@ -57,7 +61,8 @@
 	for target in $(targets); do \
 		dh_auto_configure -B$(build_gdbserver_dir)/$$target \
 				  -D$(upstream_gdbserver_dir) -- \
-				  --host=$$target --target=$$target; \
+				  --host=$$target --target=$$target \
+				  $(shell $(dpkg_buildflags_indep) --export=configure); \
 	done
 	touch $@
