## gdb-mingw-w64 4

=== debian/changelog ===
gdb-mingw-w64 (4) unstable; urgency=low

  * gdb-spelling-fixes.patch is applied upstream in version 7.4, so
    avoid failing if the patch is already applied (LP: #935097).

 -- Stephen Kitt <steve@sk2.org>  Sat, 18 Feb 2012 22:56:24 +0100
