=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Stephen Kitt <steve@sk2.org>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), gdb-source (>= 7.3), texinfo,
  libreadline-dev, libncurses5-dev, libexpat1-dev, python-dev,
  libcloog-ppl-dev, bison, m4, flex, expect, autoconf, automake,
