=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,8 @@
 
 patch: patch-stamp
 patch-stamp: unpack-stamp
-	patch -dupstream -p1 < debian/patches/gdb-spelling-fixes.patch
+	# The spelling fixes are applied in 7.4, so ignore them if necessary
+	patch  -r- -N -dupstream -p1 < debian/patches/gdb-spelling-fixes.patch || true
 	touch $@
 
 clean:
