## gdb-mingw-w64 5

=== debian/changelog ===
gdb-mingw-w64 (5) unstable; urgency=low

  * Drop gdb-spelling-fixes.patch completely now that 7.4 is in Debian;
    build-depend on gdb-source 7.4 or later.
  * Use "-a" and "-i" instead of listing architecture-dependent and
    -independent packages explicitly.
  * Standards-Version 3.9.3, no change required.
  * wrap-and-sort control files.
  * Export dpkg-buildflags' settings when building as well as configuring
    so the fortified functions end up being used correctly.
  * Build-depend on gcc-mingw-w64 rather than mingw-w64, we only need a C
    compiler.
  * Update debian/copyright format URL and years.

 -- Stephen Kitt <steve@sk2.org>  Thu, 24 May 2012 23:23:45 +0200
