## gdb-mingw-w64 5ubuntu1

=== debian/changelog ===
gdb-mingw-w64 (5ubuntu1) quantal; urgency=low

  * Fix build failure, the gdbtui binary isn't provide anymore for 7.5.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Sep 2012 21:07:35 +0200
