=== debian/control ===
--- 
+++ 
@@ -3,21 +3,32 @@
 Priority: extra
 Maintainer: Stephen Kitt <steve@sk2.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), gdb-source (>= 7.3), texinfo,
- libreadline-dev, libncurses5-dev, libexpat1-dev, python-dev,
- libcloog-ppl-dev, bison, m4, flex, expect, autoconf, automake,
- mig [hurd-any],
- libunwind7-dev [ia64],
- libkvm-dev [kfreebsd-any]
-Build-Depends-Indep: mingw-w64
-Standards-Version: 3.9.2
+Build-Depends: autoconf,
+               automake,
+               bison,
+               debhelper (>= 7.0.50~),
+               expect,
+               flex,
+               gdb-source (>= 7.4),
+               libcloog-ppl-dev,
+               libexpat1-dev,
+               libkvm-dev [kfreebsd-any],
+               libncurses5-dev,
+               libreadline-dev,
+               libunwind7-dev [ia64],
+               m4,
+               mig [hurd-any],
+               python-dev,
+               texinfo
+Build-Depends-Indep: gcc-mingw-w64
+Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/gdb/
 Vcs-Git: git://git.debian.org/collab-maint/gdb-mingw-w64.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gdb-mingw-w64.git;a=summary
 
 Package: gdb-mingw-w64
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gdb (>= ${local:Version})
+Depends: gdb (>= ${local:Version}), ${misc:Depends}, ${shlibs:Depends}
 Recommends: gdb-mingw-w64-target
 Built-Using: gdb (= ${gdb:Version})
 Description: Cross-debugger for Win32 and Win64 using MinGW-w64
