## gdb-mingw-w64 6

=== debian/changelog ===
gdb-mingw-w64 (6) unstable; urgency=low

  * gdb no longer builds gdbtui, so stop trying to install it.
  * Switch to my Debian address.
  * Drop "DM-Upload-Allowed".
  * Use canonical VCS URIs.
  * Standards-Version 3.9.4, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 09 Jun 2013 13:27:29 +0200
