=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gdb-mingw-w64
 Section: devel
 Priority: extra
-Maintainer: Stephen Kitt <steve@sk2.org>
-DM-Upload-Allowed: yes
+Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: autoconf,
                automake,
                bison,
@@ -21,10 +20,10 @@
                python-dev,
                texinfo
 Build-Depends-Indep: gcc-mingw-w64
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.gnu.org/software/gdb/
-Vcs-Git: git://git.debian.org/collab-maint/gdb-mingw-w64.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gdb-mingw-w64.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/gdb-mingw-w64.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gdb-mingw-w64.git;a=summary
 
 Package: gdb-mingw-w64
 Architecture: any
