## gdb-mingw-w64 7

=== debian/changelog ===
gdb-mingw-w64 (7) unstable; urgency=low

  * Drop unused, target-specific build-dependencies (in particular
    libunwind7-dev to help the libunwind transition).

 -- Stephen Kitt <skitt@debian.org>  Sat, 29 Jun 2013 17:09:06 +0200
