=== debian/control ===
--- 
+++ 
@@ -11,12 +11,9 @@
                gdb-source (>= 7.4),
                libcloog-ppl-dev,
                libexpat1-dev,
-               libkvm-dev [kfreebsd-any],
                libncurses5-dev,
                libreadline-dev,
-               libunwind7-dev [ia64],
                m4,
-               mig [hurd-any],
                python-dev,
                texinfo
 Build-Depends-Indep: gcc-mingw-w64
