=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,7 @@
 
 patch: patch-stamp
 patch-stamp: unpack-stamp
-	# The spelling fixes are applied in 7.4, so ignore them if necessary
-	patch  -r- -N -dupstream -p1 < debian/patches/gdb-spelling-fixes.patch || true
+	# No patches for now
 	touch $@
 
 clean:
@@ -48,11 +47,11 @@
 	dh_testdir
 	set -e; \
 	for target in $(targets); do \
+		$(shell $(dpkg_buildflags_arch) --export=sh); \
 		dh_auto_configure -B$(build_gdb_dir)/$$target -D$(upstream_gdb_dir) -- \
 				  --prefix=/usr --enable-lto --with-system-readline \
 				  --enable-tui --with-expat --with-python \
-				  --target=$$target \
-				  $(shell $(dpkg_buildflags_arch) --export=configure); \
+				  --target=$$target; \
 	done
 	touch $@
 
@@ -60,10 +59,10 @@
 	dh_testdir
 	set -e; \
 	for target in $(targets); do \
+		$(shell $(dpkg_buildflags_indep) --export=sh); \
 		dh_auto_configure -B$(build_gdbserver_dir)/$$target \
 				  -D$(upstream_gdbserver_dir) -- \
-				  --host=$$target --target=$$target \
-				  $(shell $(dpkg_buildflags_indep) --export=configure); \
+				  --host=$$target --target=$$target; \
 	done
 	touch $@
 
@@ -76,6 +75,7 @@
 	dh_testdir
 	set -e; \
 	for target in $(targets); do \
+		$(shell $(dpkg_buildflags_arch) --export=sh); \
 		dh_auto_build --parallel -B$(build_gdb_dir)/$$target; \
 	done
 	touch $@
@@ -85,6 +85,7 @@
 	dh_testdir
 	set -e; \
 	for target in $(targets); do \
+		$(shell $(dpkg_buildflags_indep) --export=sh); \
 		dh_auto_build --parallel -B$(build_gdbserver_dir)/$$target; \
 	done
 	touch $@
@@ -108,38 +109,38 @@
 	touch $@
 
 binary-indep: build-indep
-	dh_testdir -pgdb-mingw-w64-target
-	dh_testroot -pgdb-mingw-w64-target
-	dh_install -pgdb-mingw-w64-target
-	dh_installdocs -pgdb-mingw-w64-target
-	dh_installchangelogs -pgdb-mingw-w64-target $(upstream_gdb_dir)/ChangeLog
-	dh_link -pgdb-mingw-w64-target
-	dh_strip -pgdb-mingw-w64-target
-	dh_lintian -pgdb-mingw-w64-target
-	dh_compress -pgdb-mingw-w64-target
-	dh_fixperms -pgdb-mingw-w64-target
-	dh_installdeb -pgdb-mingw-w64-target
-	dh_shlibdeps -pgdb-mingw-w64-target
-	dh_gencontrol -pgdb-mingw-w64-target -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgdb:Version=$(source_version)
-	dh_md5sums -pgdb-mingw-w64-target
-	dh_builddeb -pgdb-mingw-w64-target
+	dh_testdir -i
+	dh_testroot -i
+	dh_install -i
+	dh_installdocs -i
+	dh_installchangelogs -i $(upstream_gdb_dir)/ChangeLog
+	dh_link -i
+	dh_strip -i
+	dh_lintian -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_shlibdeps -i
+	dh_gencontrol -i -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgdb:Version=$(source_version)
+	dh_md5sums -i
+	dh_builddeb -i
 
 binary-arch: install
-	dh_testdir -pgdb-mingw-w64
-	dh_testroot -pgdb-mingw-w64
-	dh_install -pgdb-mingw-w64
-	dh_installdocs -pgdb-mingw-w64
-	dh_installchangelogs -pgdb-mingw-w64 $(upstream_gdb_dir)/ChangeLog
-	dh_link -pgdb-mingw-w64
-	dh_strip -pgdb-mingw-w64
-	dh_lintian -pgdb-mingw-w64
-	dh_compress -pgdb-mingw-w64
-	dh_fixperms -pgdb-mingw-w64
-	dh_installdeb -pgdb-mingw-w64
-	dh_shlibdeps -pgdb-mingw-w64
-	dh_gencontrol -pgdb-mingw-w64 -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgdb:Version=$(source_version)
-	dh_md5sums -pgdb-mingw-w64
-	dh_builddeb -pgdb-mingw-w64
+	dh_testdir -a
+	dh_testroot -a
+	dh_install -a
+	dh_installdocs -a
+	dh_installchangelogs -a $(upstream_gdb_dir)/ChangeLog
+	dh_link -a
+	dh_strip -a
+	dh_lintian -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_installdeb -a
+	dh_shlibdeps -a
+	dh_gencontrol -a -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgdb:Version=$(source_version)
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
