## gdb-mingw-w64 9

=== debian/changelog ===
gdb-mingw-w64 (9) unstable; urgency=medium

  * gdb version 7.7 no longer ships target-specific manpages; instead of
    shipping the built versions, link to gdb's manpage. (This allows
    building on Ubuntu.)
  * Build-depend on libcloog-isl-dev instead of libcloog-ppl-dev.

 -- Stephen Kitt <skitt@debian.org>  Fri, 30 May 2014 22:30:41 +0200

gdb-mingw-w64 (8) unstable; urgency=medium

  * Avoid using "-Werror" (Closes: #746850).
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 07 May 2014 07:13:30 +0200
