=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                expect,
                flex,
                gdb-source (>= 7.4),
-               libcloog-ppl-dev,
+               libcloog-isl-dev,
                libexpat1-dev,
                libncurses5-dev,
                libreadline-dev,
@@ -17,7 +17,7 @@
                python-dev,
                texinfo
 Build-Depends-Indep: gcc-mingw-w64
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/gdb/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gdb-mingw-w64.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gdb-mingw-w64.git;a=summary
