=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 		dh_auto_configure -B$(build_gdb_dir)/$$target -D$(upstream_gdb_dir) -- \
 				  --prefix=/usr --enable-lto --with-system-readline \
 				  --enable-tui --with-expat --with-python \
-				  --target=$$target; \
+				  --target=$$target --disable-werror; \
 	done
 	touch $@
 
@@ -62,7 +62,8 @@
 		$(shell $(dpkg_buildflags_indep) --export=sh); \
 		dh_auto_configure -B$(build_gdbserver_dir)/$$target \
 				  -D$(upstream_gdbserver_dir) -- \
-				  --host=$$target --target=$$target; \
+				  --host=$$target --target=$$target \
+				  --disable-werror; \
 	done
 	touch $@
