## gdb-mingw-w64 10

=== debian/changelog ===
gdb-mingw-w64 (10) unstable; urgency=medium

  * Disable PE timestamps in the generated Windows executables; this
    allows the package to build reproducibly.
  * Update licensing information.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 30 May 2015 22:56:30 +0200
