=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python-dev,
                texinfo
 Build-Depends-Indep: gcc-mingw-w64
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/gdb/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gdb-mingw-w64.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gdb-mingw-w64.git;a=summary
