## gdb-mingw-w64 10.1

=== debian/changelog ===
gdb-mingw-w64 (10.1) unstable; urgency=medium

  * Build-depend on mig on hurd.

 -- Stephen Kitt <skitt@debian.org>  Sun, 31 May 2015 22:55:47 +0200
