=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libncurses5-dev,
                libreadline-dev,
                m4,
+               mig [hurd-any],
                python-dev,
                texinfo
 Build-Depends-Indep: gcc-mingw-w64
