=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,19 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Copyright © 2010-2011 Stephen Kitt <steve@sk2.org>
+# Copyright © 2010-2015 Stephen Kitt <steve@sk2.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -23,7 +36,8 @@
 dpkg_buildflags_arch = dpkg-buildflags
 
 # Windows targets don't support stackprotector, relro, bindnow or pie
-dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-stackprotector,-relro,-bindnow,-pie" dpkg-buildflags
+# We disable PE timestamps to build reproducibly
+dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-stackprotector,-relro,-bindnow,-pie" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp" dpkg-buildflags
 
 unpack: unpack-stamp
 unpack-stamp:
