## gdb-mingw-w64 10.2

=== debian/changelog ===
gdb-mingw-w64 (10.2) unstable; urgency=medium

  * Build using the system-provided zlib1g (and build-depend on
    zlib1g-dev).
  * Switch to debhelper compatibility level 9.
  * Build-depend on libbabeltrace-ctf-dev and libbabeltrace-dev to
    support CTF files.
  * Build-depend on gdb-source 7.10 or later so the builds are at least
    equivalent to the last binNMU.

 -- Stephen Kitt <skitt@debian.org>  Mon, 28 Dec 2015 23:18:32 +0100
