=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Build-Depends: autoconf,
                automake,
                bison,
-               debhelper (>= 7.0.50~),
+               debhelper (>= 9),
                expect,
                flex,
-               gdb-source (>= 7.4),
+               gdb-source (>= 7.10),
+               libbabeltrace-ctf-dev,
+               libbabeltrace-dev,
                libcloog-isl-dev,
                libexpat1-dev,
                libncurses5-dev,
@@ -16,7 +18,8 @@
                m4,
                mig [hurd-any],
                python-dev,
-               texinfo
+               texinfo,
+               zlib1g-dev
 Build-Depends-Indep: gcc-mingw-w64
 Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/gdb/
