=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,8 @@
 # We disable PE timestamps to build reproducibly
 dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-stackprotector,-relro,-bindnow,-pie" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp" dpkg-buildflags
 
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
 unpack: unpack-stamp
 unpack-stamp:
 	tar xf $(gdb_dir)/gdb.tar.*
@@ -61,11 +63,15 @@
 	dh_testdir
 	set -e; \
 	for target in $(targets); do \
-		$(shell $(dpkg_buildflags_arch) --export=sh); \
-		dh_auto_configure -B$(build_gdb_dir)/$$target -D$(upstream_gdb_dir) -- \
-				  --prefix=/usr --enable-lto --with-system-readline \
-				  --enable-tui --with-expat --with-python \
-				  --target=$$target --disable-werror; \
+		mkdir -p $(build_gdb_dir)/$$target; \
+		cd $(build_gdb_dir)/$$target; \
+		$(upstream_gdb_dir)/configure \
+			--build=$(DEB_BUILD_GNU_TYPE) \
+			--prefix=/usr --enable-lto \
+			--with-system-readline --with-system-zlib \
+			--enable-tui --with-expat --with-python \
+			--target=$$target --disable-werror \
+			$(shell $(dpkg_buildflags_arch) --export=cmdline); \
 	done
 	touch $@
 
@@ -73,11 +79,13 @@
 	dh_testdir
 	set -e; \
 	for target in $(targets); do \
-		$(shell $(dpkg_buildflags_indep) --export=sh); \
-		dh_auto_configure -B$(build_gdbserver_dir)/$$target \
-				  -D$(upstream_gdbserver_dir) -- \
-				  --host=$$target --target=$$target \
-				  --disable-werror; \
+		mkdir -p $(build_gdbserver_dir)/$$target; \
+		cd $(build_gdbserver_dir)/$$target; \
+		$(upstream_gdbserver_dir)/configure \
+			--build=$(DEB_BUILD_GNU_TYPE) \
+			--host=$$target --target=$$target \
+			--disable-werror \
+			$(shell $(dpkg_buildflags_indep) --export=cmdline); \
 	done
 	touch $@
