## gdb-mingw-w64 10.4

=== debian/changelog ===
gdb-mingw-w64 (10.4) unstable; urgency=medium

  * Disable package mangling in Launchpad.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Sep 2016 20:36:37 +0200

gdb-mingw-w64 (10.3) unstable; urgency=medium

  * Suggest the non-free gdb-doc package since that's where gdb.1 is
    nowadays.
  * Switch to https: VCS URIs (see #810378).
  * Build-depend on g++-mingw-w64; versions of gdb after 7.11 need a C++
    compiler (this should fix the Ubuntu build failure).
  * Clean up debian/control with cme.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 18 Sep 2016 15:24:11 +0200
