=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gdb-mingw-w64
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: extra
-Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: autoconf,
                automake,
                bison,
@@ -20,16 +20,19 @@
                python-dev,
                texinfo,
                zlib1g-dev
-Build-Depends-Indep: gcc-mingw-w64
-Standards-Version: 3.9.6
+Build-Depends-Indep: g++-mingw-w64
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gdb-mingw-w64.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gdb-mingw-w64.git
 Homepage: http://www.gnu.org/software/gdb/
-Vcs-Git: git://anonscm.debian.org/collab-maint/gdb-mingw-w64.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gdb-mingw-w64.git;a=summary
 
 Package: gdb-mingw-w64
 Architecture: any
-Depends: gdb (>= ${local:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: gdb (>= ${local:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: gdb-mingw-w64-target
+Suggests: gdb-doc
 Built-Using: gdb (= ${gdb:Version})
 Description: Cross-debugger for Win32 and Win64 using MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
@@ -40,12 +43,14 @@
  .
  The gdb-mingw-w64-target package contains gdbserver and gdbreplay for
  32- and 64-bit Windows.
+ .
+ The non-free gdb-doc package contains the manual pages for gdb.
 
 Package: gdb-mingw-w64-target
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: gdb-mingw-w64 (<< 7.3)
 Replaces: gdb-mingw-w64 (<< 7.3)
-Breaks: gdb-mingw-w64 (<< 7.3)
 Built-Using: gdb (= ${gdb:Version})
 Description: Cross-debugger server for Win32 and Win64 using MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
