## gdb-mingw-w64 10.5

=== debian/changelog ===
gdb-mingw-w64 (10.5) unstable; urgency=medium

  * Disable format warnings/errors (the gdb build disables -Wformat on
    MinGW-w64 builds, but leaves -Werror=format-security, which breaks the
    build when combined with -Wno-format). Closes: #884242.
  * Switch to priority “optional”.
  * Enable all hardening options for Debian-native binaries.
  * Use pkg-info.mk instead of dpkg-parsechangelog.
  * Use architecture.mk instead of redefining build variables.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Jan 2018 17:28:32 +0100
