=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gdb-mingw-w64
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
-Priority: extra
+Priority: optional
 Build-Depends: autoconf,
                automake,
                bison,
@@ -21,7 +21,7 @@
                texinfo,
                zlib1g-dev
 Build-Depends-Indep: g++-mingw-w64
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gdb-mingw-w64.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gdb-mingw-w64.git
 Homepage: http://www.gnu.org/software/gdb/
