=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 # Built-Using, which results in build failures
 export NO_PKG_MANGLE=1
 
+include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/architecture.mk
+
 top_dir := $(shell pwd)
 gdb_dir := /usr/src
 upstream_gdb_dir := $(top_dir)/upstream
@@ -29,21 +32,21 @@
 build_gdb_dir := $(top_dir)/build-gdb
 build_gdbserver_dir := $(top_dir)/build-gdbserver
 source_version := $(shell dpkg-query -W -f="\$${Version}\n" gdb-source)
-deb_version := $(source_version)+$(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
+deb_version := $(source_version)+$(DEB_VERSION)
 deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
 gnu_upstream_version := $(shell echo $(deb_upstream_version) | cut -d. -f1-3)
 package := gdb-mingw-w64
 
 targets := i686-w64-mingw32 x86_64-w64-mingw32
 
-# Default hardening for Debian-targeted builds
-dpkg_buildflags_arch = dpkg-buildflags
+# Full hardening for Debian-targeted builds
+dpkg_buildflags_arch = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags
 
 # Windows targets don't support stackprotector, relro, bindnow or pie
 # We disable PE timestamps to build reproducibly
-dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-stackprotector,-relro,-bindnow,-pie" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp" dpkg-buildflags
-
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+# We disable format because the gdb build tries to do so (partially)
+# anyway, and breaks the build with -Werror=format-security as a result
+dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-stackprotector,-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp" dpkg-buildflags
 
 unpack: unpack-stamp
 unpack-stamp:
