## gdb-mingw-w64 10.6

=== debian/changelog ===
gdb-mingw-w64 (10.6) unstable; urgency=medium

  * Link the target binaries so they don’t need libstdc++ and libgcc DLLs
    at runtime. Thanks to Gianluigi Tiesi for the suggestion! Closes:
    #893562.
  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 08 May 2018 23:07:01 +0200
