=== debian/control ===
--- 
+++ 
@@ -21,9 +21,9 @@
                texinfo,
                zlib1g-dev
 Build-Depends-Indep: g++-mingw-w64
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gdb-mingw-w64.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gdb-mingw-w64.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64
+Vcs-Git: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64.git
 Homepage: http://www.gnu.org/software/gdb/
 
 Package: gdb-mingw-w64
