=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,8 @@
 # We disable PE timestamps to build reproducibly
 # We disable format because the gdb build tries to do so (partially)
 # anyway, and breaks the build with -Werror=format-security as a result
-dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-stackprotector,-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp" dpkg-buildflags
+# We link libstdc++ and libgcc statically to avoid needing the DLLs
+dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-stackprotector,-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp -static-libstdc++ -static-libgcc" dpkg-buildflags
 
 unpack: unpack-stamp
 unpack-stamp:
