## gdb-mingw-w64 10.8

=== debian/changelog ===
gdb-mingw-w64 (10.8) unstable; urgency=medium

  * Update build dependencies. Closes: #921853.
  * Switch to Python 3.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Feb 2019 22:30:54 +0100

gdb-mingw-w64 (10.7) unstable; urgency=medium

  * Force verbose builds.
  * Switch to secure URIs.
  * Update debian/copyright based on gdb-source’s.
  * Switch to debhelper compatibility level 11, and rewrite debian/rules
    in short dh style.
  * Add Lintian overrides for debian/copyright since it matches the
    upstream source, not the package contents.
  * Mark gdb-mingw-w64-target as “Multi-Arch: foreign”.
  * Set “Rules-Requires-Root: no”.
  * Fix a few spelling mistakes flagged by Lintian.
  * Standards-Version 4.3.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Feb 2019 20:17:00 +0100
