=== debian/control ===
--- 
+++ 
@@ -5,26 +5,29 @@
 Build-Depends: autoconf,
                automake,
                bison,
-               debhelper (>= 9),
+               debhelper (>= 11~),
                expect,
                flex,
                gdb-source (>= 7.10),
                libbabeltrace-ctf-dev,
                libbabeltrace-dev,
-               libcloog-isl-dev,
                libexpat1-dev,
+               libipt-dev [amd64 i386 x32],
+               liblzma-dev,
+               libmpfr-dev,
                libncurses5-dev,
                libreadline-dev,
                m4,
                mig [hurd-any],
-               python-dev,
+               python3-dev,
                texinfo,
                zlib1g-dev
 Build-Depends-Indep: g++-mingw-w64
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64.git
-Homepage: http://www.gnu.org/software/gdb/
+Homepage: https://www.gnu.org/software/gdb/
+Rules-Requires-Root: no
 
 Package: gdb-mingw-w64
 Architecture: any
@@ -48,6 +51,7 @@
 
 Package: gdb-mingw-w64-target
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: gdb-mingw-w64 (<< 7.3)
 Replaces: gdb-mingw-w64 (<< 7.3)
