## gdb-mingw-w64 10.8build1

=== debian/changelog ===
gdb-mingw-w64 (10.8build1) disco; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Apr 2019 01:22:56 +0200
