## gdb-mingw-w64 10.8build2

=== debian/changelog ===
gdb-mingw-w64 (10.8build2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:41:17 +0000
