## gdb-mingw-w64 10.9build1

=== debian/changelog ===
gdb-mingw-w64 (10.9build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:41:39 +0100

gdb-mingw-w64 (10.9) unstable; urgency=medium

  * MinGW-w64 now supports FORTIFY_SOURCE and SSP, and the former
    requires the latter. Because of this, the package no longer
    builds... Enabling SSP fixes this, but results in binaries depending
    on the SSP DLL, so build everything statically.
  * Switch to debhelper compatibility level 12.
  * Strip the target binaries.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 29 Jan 2020 21:48:00 +0100
