=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: autoconf,
                automake,
                bison,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                expect,
                flex,
                gdb-source (>= 7.10),
@@ -23,7 +23,7 @@
                texinfo,
                zlib1g-dev
 Build-Depends-Indep: g++-mingw-w64
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/gdb-mingw-w64.git
 Homepage: https://www.gnu.org/software/gdb/
