=== debian/rules ===
--- 
+++ 
@@ -42,12 +42,12 @@
 # Full hardening for Debian-targeted builds
 dpkg_buildflags_arch = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags
 
-# Windows targets don't support stackprotector, relro, bindnow or pie
+# Windows targets don't support relro, bindnow or pie
 # We disable PE timestamps to build reproducibly
 # We disable format because the gdb build tries to do so (partially)
 # anyway, and breaks the build with -Werror=format-security as a result
 # We link libstdc++ and libgcc statically to avoid needing the DLLs
-dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-stackprotector,-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp -static-libstdc++ -static-libgcc" dpkg-buildflags
+dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
 
 spelling = grep -rl "$(1)" $(upstream_gdb_dir) | xargs -r sed -i "s/$(1)/$(2)/g"
 
@@ -123,3 +123,7 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgdb:Version=$(source_version)
+
+override_dh_strip-indep:
+	i686-w64-mingw32-strip debian/gdb-mingw-w64-target/usr/share/win32/*.exe
+	x86_64-w64-mingw32-strip debian/gdb-mingw-w64-target/usr/share/win64/*.exe
