## gdb-mingw-w64 11

=== debian/changelog ===
gdb-mingw-w64 (11) unstable; urgency=medium

  * Adjust to the changes in gdb 10. Closes: #975189.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Thu, 19 Nov 2020 21:08:05 +0100
