=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,7 @@
 
 top_dir := $(shell pwd)
 gdb_dir := /usr/src
-upstream_gdb_dir := $(top_dir)/upstream
-upstream_gdbserver_dir := $(upstream_gdb_dir)/gdb/gdbserver
+upstream_dir := $(top_dir)/upstream
 build_gdb_dir := $(top_dir)/build-gdb
 build_gdbserver_dir := $(top_dir)/build-gdbserver
 source_version := $(shell dpkg-query -W -f="\$${Version}\n" gdb-source)
@@ -49,15 +48,15 @@
 # We link libstdc++ and libgcc statically to avoid needing the DLLs
 dpkg_buildflags_indep = DEB_BUILD_MAINT_OPTIONS="hardening=-relro,-bindnow,-pie,-format" DEB_LDFLAGS_MAINT_APPEND="-Xlinker --no-insert-timestamp -static" dpkg-buildflags
 
-spelling = grep -rl "$(1)" $(upstream_gdb_dir) | xargs -r sed -i "s/$(1)/$(2)/g"
+spelling = grep -rl "$(1)" $(upstream_dir) | xargs -r sed -i "s/$(1)/$(2)/g"
 
 %:
 	dh $@
 
 unpack-stamp:
 	tar xf $(gdb_dir)/gdb.tar.*
-	rm -rf $(upstream_gdb_dir)
-	mv gdb $(upstream_gdb_dir)
+	rm -rf $(upstream_dir)
+	mv gdb $(upstream_dir)
 	$(call spelling,occurences,occurrences)
 	$(call spelling,Unkown,Unknown)
 	$(call spelling,vaild,valid)
@@ -65,14 +64,14 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf *-stamp $(build_gdb_dir) $(build_gdbserver_dir) $(upstream_gdb_dir)
+	rm -rf *-stamp $(build_gdb_dir) $(build_gdbserver_dir) $(upstream_dir)
 
 override_dh_auto_configure-arch: unpack-stamp
 	set -e; \
 	for target in $(targets); do \
 		mkdir -p $(build_gdb_dir)/$$target; \
 		cd $(build_gdb_dir)/$$target; \
-		$(upstream_gdb_dir)/configure \
+		$(upstream_dir)/configure \
 			--build=$(DEB_BUILD_GNU_TYPE) \
 			--prefix=/usr --enable-lto \
 			--with-system-readline --with-system-zlib \
@@ -81,12 +80,13 @@
 			$(shell $(dpkg_buildflags_arch) --export=cmdline); \
 	done
 
+# We're only interested in gdbserver but we need to build everything
 override_dh_auto_configure-indep: unpack-stamp
 	set -e; \
 	for target in $(targets); do \
 		mkdir -p $(build_gdbserver_dir)/$$target; \
 		cd $(build_gdbserver_dir)/$$target; \
-		$(upstream_gdbserver_dir)/configure \
+		$(upstream_dir)/configure \
 			--build=$(DEB_BUILD_GNU_TYPE) \
 			--host=$$target --target=$$target \
 			--disable-werror \
@@ -113,13 +113,15 @@
 		dh_auto_install -B$(build_gdb_dir)/$$target; \
 	done
 # Drop files which will conflict with other packages
-	rm -rf debian/$(package)/usr/lib
-	rm -rf debian/$(package)/usr/share/gdb
-	rm -rf debian/$(package)/usr/share/info
-	rm -rf debian/$(package)/usr/share/locale
+	rm -rf debian/tmp/usr/include
+	rm -rf debian/tmp/usr/lib
+	rm -rf debian/tmp/usr/share/gdb
+	rm -rf debian/tmp/usr/share/info
+	rm -rf debian/tmp/usr/share/locale
+	rm -rf debian/tmp/usr/share/man
 
 override_dh_installchangelogs:
-	dh_installchangelogs $(upstream_gdb_dir)/ChangeLog
+	dh_installchangelogs $(upstream_dir)/ChangeLog
 
 override_dh_gencontrol:
 	dh_gencontrol -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgdb:Version=$(source_version)
