## gdb-mingw-w64 11build1

=== debian/changelog ===
gdb-mingw-w64 (11build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 11:30:07 +0000
